package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.role.req.AddOrUpdateRoleReqVO;
import com.ycwl.basic.model.pc.role.req.RoleListReqVO;
import com.ycwl.basic.model.pc.role.resp.RoleListRespVO;
import com.ycwl.basic.model.pc.role.resp.RolePermissionResp;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

public interface RoleService {
    RolePermissionResp getPermissionByRoleId(Long roleId);

    ApiResponse<PageInfo<RoleListRespVO>> pageQuery(RoleListReqVO roleListReqVO);
    ApiResponse list(RoleListReqVO roleListReqVO);
    ApiResponse addOrUpdate(AddOrUpdateRoleReqVO addOrUpdateRoleReqVO);
    ApiResponse delete(String id);
    ApiResponse updateReturnMenu(String id);

    ApiResponse updateStatus(String id);
}
